|  | Home | Documentation | saml1__EvidenceType Struct Reference updated by Robert van Engelen |

Classes | Public Attributes | List of all members
saml1__EvidenceType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":EvidenceType is a complexType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__EvidenceType:
[legend]

## Classes

struct | __saml1__union_EvidenceType

## Public Attributes

$ int | __size_EvidenceType
struct saml1__EvidenceType::__saml1__union_EvidenceType * | __union_EvidenceType

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":EvidenceType is a complexType.

Note
  struct saml1__EvidenceType operations:
  - saml1__EvidenceType* soap_new_saml1__EvidenceType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__EvidenceType(struct soap*, saml1__EvidenceType*) default initialize members
  - int soap_read_saml1__EvidenceType(struct soap*, saml1__EvidenceType*) deserialize from a source
  - int soap_write_saml1__EvidenceType(struct soap*, saml1__EvidenceType*) serialize to a sink
  - saml1__EvidenceType* soap_dup_saml1__EvidenceType(struct soap*, saml1__EvidenceType* dst, saml1__EvidenceType <em>src) returns deep copy of saml1__EvidenceType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__EvidenceType(saml1__EvidenceType
  ) deep deletes saml1__EvidenceType data members, use only on dst after soap_dup_saml1__EvidenceType(NULL, saml1__EvidenceType *dst, saml1__EvidenceType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ __size_EvidenceType

$ int saml1__EvidenceType::__size_EvidenceType

## ◆ __union_EvidenceType

struct saml1__EvidenceType::__saml1__union_EvidenceType * saml1__EvidenceType::__union_EvidenceType

The documentation for this struct was generated from the following file:

- saml1.h